POST
/api/Checkout/sessions/me/capture-init
const url = 'https://example.com/api/Checkout/sessions/me/capture-init';const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/Checkout/sessions/me/capture-init \ --header 'Authorization: Bearer <token>'Returns the front-end payload (mode + URL + extras) the page uses to render the gateway’s hosted form.
Authorizations
Section titled “Authorizations ”Responses
Section titled “ Responses ”OK
Media type application/json
object
mode
string
url
string
extra
object
key
additional properties
string
Example generated
{ "mode": "example", "url": "example", "extra": { "additionalProperty": "example" }}Not Found
Media type application/json
object
type
string
title
string
status
integer format: int32
detail
string
instance
string
key
additional properties
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}Conflict
Media type application/json
object
type
string
title
string
status
integer format: int32
detail
string
instance
string
key
additional properties
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}